export type ConditionType = {
  id: string
  type: string
  label: string
  value: string
  x: number
  y: number
  operation?: string
  [key: string]: any
}

export type StepType = {
  type: 'condition' | 'delay' | 'exec'
  list?: ConditionType[]
  value?: string
  unit?: string
  id?: string
  x: number
  y: number
}

export type CommandType = {
  name: string
  id: string
  x: number
  y: number
  time: string
  parentId: string
  stepList: StepType[]
}

export type ProjectType = {
  name: string
  id: string
  time: string
  commandList: CommandType[]
}
